WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Updat wp 3.9 installed 4.0 Alpha (39 posts)

  1. willem.deboer
    Member
    Posted 3 months ago #

    I pushed the button for an upgrade to 3.9 from 3.8.3. and to my surpise I got 4.0 Alpha! Now most of my plugins don't works anymore. Anyone know how to rolback to 3.8.3 or 3.9?

  2. nl1jht
    Member
    Posted 3 months ago #

    Hi,

    I had the same thing. How to get back to 3.9??
    Think I used the NL version.

    Greetz,

    Jasper

  3. Chip Bennett
    Theme Review Admin
    Posted 3 months ago #

    Do you have the WP Beta Tester plugin installed/active, and set to "bleeding edge nightlies"?

  4. nl1jht
    Member
    Posted 3 months ago #

    I don't. I a new build woocomerce webshop.. Live production.. So no testing stuff.

  5. Chip Bennett
    Theme Review Admin
    Posted 3 months ago #

    What Theme are you using? What Plugins do you have active? Is it a single-site or multi-site network install?

  6. nl1jht
    Member
    Posted 3 months ago #

    Theme : Twenty Twelve

    Active Plugins (All latest versions):

    - Google Analytics for WordPress
    - Google XML Sitemaps
    - iDEAL Checkout
    - WooCommerce
    - WooCommerce PDF Invoices & Packing Slips
    - WooCommerce PDF Invoices & Packing Slips Premium Templates
    - WP Overnight Sidekick

    Single site.

  7. nl1jht
    Member
    Posted 3 months ago #

    Maybe the guys @ nl.wordpress.org made a booboo and packaged the wrong version.

  8. turnhob
    Member
    Posted 3 months ago #

    Same problem here.
    Very annoying. How do I go back. How do I prevent beta or alpha releases to be installed.

    Why is there no information why this is happening or happens.
    How secure is the alpha?
    What kinda problems do I get? How do i roll-back.
    So I can turn off automatic updates so this will never happen again.

    Really dissappointed in WordPress right now.

  9. Chip Bennett
    Theme Review Admin
    Posted 3 months ago #

    Are all of you using the NL language version?

  10. nl1jht
    Member
    Posted 3 months ago #

    I do. Willem.deboer sounds Dutch..

    The version that went wrong was the Dutch one.. The other upgrade was US and that went fine.

  11. turnhob
    Member
    Posted 3 months ago #

    Yes, Im using the dutch version.
    An other site of me is also dutch but not infected (yet). Maybe they pulled the update back so not all sites are getting this issue

  12. nl1jht
    Member
    Posted 3 months ago #

    Is there anyone who can tell me if I can get back to 3.9?

  13. birgire
    Member
    Posted 3 months ago #

    I've seen this behavior on Icelandic (is_IS) installs, without the beta test plugin, for both single and multi sites.

  14. willem.deboer
    Member
    Posted 3 months ago #

    I'm using the NL version too. I'm now in deep shit through none of my fault.

  15. turnhob
    Member
    Posted 3 months ago #

    Glad to hear I am not to only one.
    But what do I have to do now?
    Can I rollback? How to prevent this for happening again?

  16. birgire
    Member
    Posted 3 months ago #

    I just downloaded the file

    https://downloads.wordpress.org/release/is_IS/wordpress-3.9.zip

    and then checked inside the /wp-includes/version.php file:

    <?php
    /**
     * The WordPress version string
     *
     * @global string $wp_version
     */
    $wp_version = '4.0-alpha';
    
    /**
     * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
     *
     * @global int $wp_db_version
     */
    $wp_db_version = 27916;
    
    /**
     * Holds the TinyMCE version
     *
     * @global string $tinymce_version
     */
    $tinymce_version = '4021-20140412';
    
    /**
     * Holds the required PHP version
     *
     * @global string $required_php_version
     */
    $required_php_version = '5.2.4';
    
    /**
     * Holds the required MySQL version
     *
     * @global string $required_mysql_version
     */
    $required_mysql_version = '5.0';
    
    $wp_local_package = 'is_IS';

    So the WordPress 3.9 zip file for is_IS is marked as '4.0-alpha'.

    Then I checked the en_US version:

    https://downloads.wordpress.org/release/wordpress-3.9.zip

    <?php
    /**
     * The WordPress version string
     *
     * @global string $wp_version
     */
    $wp_version = '3.9';
    
    /**
     * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
     *
     * @global int $wp_db_version
     */
    $wp_db_version = 27916;
    
    /**
     * Holds the TinyMCE version
     *
     * @global string $tinymce_version
     */
    $tinymce_version = '4021-20140412';
    
    /**
     * Holds the required PHP version
     *
     * @global string $required_php_version
     */
    $required_php_version = '5.2.4';
    
    /**
     * Holds the required MySQL version
     *
     * @global string $required_mysql_version
     */
    $required_mysql_version = '5.0';

    which looks correct.

    So there's something wrong with the downloads served for the Icelandic version (is_IS) and most likely other language versions, except the English one.

  17. turnhob
    Member
    Posted 3 months ago #

    The nl_NL version I just download, looks correct.
    Maybe the fixed it.

    But how do I roll back.
    Can I just copy the files from the 3.9 release to the server?

  18. willem.deboer
    Member
    Posted 3 months ago #

    Exactly. I think it would be more then fair if the WP guys came up with a solution for repairing this grave error in stead of silenty putting the right version in.

  19. I have just taken a quick look at both the nl_NL and is_IS packages.

    It looks like the nl_NL package is now showing the correct version as 3.9

    The is_IS is still showing '4.0-alpha'

    First up, is_IS, can you send a message to the translators via this form:
    https://is.wordpress.org/contact/ informing them that the package is showing '4.0-alpha' rather than '3.9'. If they need further assistance they can contact the Polyglots team at https://make.wordpress.org/polyglots/ to get the currect info to build the correct package for WP 3.9.

    Next up nl_NL, in the updates section.... Oh hang on a minute, I see the issue you have.

    I'll be back shortly on the best way to reinstall nl_NL correctly

  20. birgire
    Member
    Posted 3 months ago #

    The nl_NL version looks correct now:

    $wp_version = '3.9';

    but the is_IS version is still uncorrect with

    $wp_version = '4.0-alpha';

    The database versions looks the same for 3.9 and 4.0-alpha: 27916, so I guess you can just re-install the nl_NL version.

    You should wait for the responses of the WP team on how to solve this problem.

    ---

    ps: If you can't wait and you're adventures:

    Try to change the $wp_version back to 3.8.3 to get the normal upgrade buttons, instead of the Nightly Build update buttons.

    But you should always take backups before upgrading or trying the above untested suggestion.

    cheers

  21. Please make a backup before you do this

    If you have installed nl_NL before the updated package was shipped your updates page in your dashboard will look similar to this:

    https://cloudup.com/cQ5GQPapAM9

    Just as @birgire points out changing the wp_version in /wp-includes/version.php from 4.0-alpha to 3.9 will do what is needed after you have made your backup.

    Once your backup has finished and you have it securely offsite, there's a trend here, I am paranoid about you losing your data, you should be to. Make the change and you should now see a screen similar to:

    https://cloudup.com/cYzCmUPl77q

    You should now be able to click 'Re-install Now' and you will get the latest/updated nl_NL WordPress 3.9 installed.

    I have just tested the above on one of my test sites and it appears to work fine with no issues.

    Edit: I'll follow up with the core team and create a ticket in trac to see if we can add some checks or a 'rollback' type feature in a future version.

  22. willem.deboer
    Member
    Posted 3 months ago #

    @Stephen Thank you, that did the trick. What a relief! And a rollback feature would be very convenient. Perhaps some extra checks on rolling out updates would be a good idea as well :-)

  23. nl1jht
    Member
    Posted 3 months ago #

    Hey Stephen,

    As soon as I have a backup of my database I will try it.

    Thnx for the help guys!!!

    Greetz,

    Jasper

  24. willem.deboer
    Member
    Posted 3 months ago #

    @nl1jht I use Updraftplus. Automatic backup every day, set & forget.

  25. nl1jht
    Member
    Posted 3 months ago #

    @willem.deboer Thnx for the info.. Will check it out!!!

  26. nl1jht
    Member
    Posted 3 months ago #

    @stephen and all others.. Works like a charm!!!

    Greetz,

    Jasper

  27. ReiNasc
    Member
    Posted 3 months ago #

  28. @ReiNasc That has nothing to do with this topic, this topic is only to do with incorrect translations delivered from a couple of custom localized WP 3.9 builds.

  29. ReiNasc
    Member
    Posted 3 months ago #

    sorry...

  30. nl1jht
    Member
    Posted 3 months ago #

    @willem.deboer Can you set the topic to solved?

Reply »

You must log in to post.

About this Topic

Tags